<template>
  <Falist @handClick="view" />
</template>

<script lang="ts" name="dkgl-gkpg-DetailList" setup>
  import Falist from '../components/faList.vue';
  import { useRouter } from 'vue-router';

  const router = useRouter();

  // 查看基本信息
  function view(selectedRows) {
    router.push(
      `/directory/fxml/view?wrdkid=${selectedRows.value[0].wrdkid}&id=${selectedRows.value[0].id}&pgtype=${selectedRows.value[0].pgtype}&scjdbm=${selectedRows.value[0].scjdbm}&dksdzt=${selectedRows.value[0].dksdzt}`
    );
  }
</script>
<style scoped></style>
